EditorPresets

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.editor
Class EditorPresets

    java.lang.Object
      net.ctdp.rfdynhud.editor.EditorPresets

    public class EditorPresets

extends java.lang.Object

Presets for telemetry and scoring info in the editor.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`EditorPresets()` Constructs `EditorPresets`.

Method Summary
`float` | `getBrakeDiscThicknessFL()` Gets the front left brake disc thickness in meters.
`float` | `getBrakeDiscThicknessFR()` Gets the front right brake disc thickness in meters.
`float` | `getBrakeDiscThicknessRL()` Gets the rear left brake disc thickness in meters.
`float` | `getBrakeDiscThicknessRR()` Gets the rear right brake disc thickness in meters.
`float` | `getCurrentSector1Time()` Gets the current sector 1 time.
`float` | `getCurrentSector2Time(boolean includeSector1)` Gets the current sector 2 time.
`java.lang.String` | `getDriverName()` Gets the driver's name.
`int` | `getEngineBoost()` Gets the engine boost.
`int` | `getEngineLifetime()` Gets the engine lifetime in seconds.
`int` | `getEngineRPM()` Gets the engine RPM.
`float` | `getFuelLoad()` Gets the fuel load.
`float` | `getLastLapTime()` Gets the last lap time.
`float` | `getLastSector1Time()` Gets the last sector 1 time.
`float` | `getLastSector2Time(boolean includeSector1)` Gets the last sector 2 time.
`float` | `getLastSector3Time()` Gets the last sector 3 time.
`float` | `getTopSpeed(int index)` Gets the top speed in km/h.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorPresets

    public EditorPresets()

  Constructs `EditorPresets`.

Method Detail

### getDriverName

    public final java.lang.String getDriverName()

  Gets the driver's name.

  Returns:
    the driver's name.

### getLastSector1Time

    public final float getLastSector1Time()

  Gets the last sector 1 time.

  Returns:
    the last sector 1 time.

### getLastSector2Time

    public final float getLastSector2Time(boolean includeSector1)

  Gets the last sector 2 time.

  Parameters:
    `includeSector1` - sum up sector 1 and 2?
  Returns:
    the last sector 2 time.

### getLastSector3Time

    public final float getLastSector3Time()

  Gets the last sector 3 time.

  Returns:
    the last sector 3 time.

### getLastLapTime

    public final float getLastLapTime()

  Gets the last lap time.

  Returns:
    the last lap time.

### getCurrentSector1Time

    public final float getCurrentSector1Time()

  Gets the current sector 1 time.

  Returns:
    the current sector 1 time.

### getCurrentSector2Time

    public final float getCurrentSector2Time(boolean includeSector1)

  Gets the current sector 2 time.

  Parameters:
    `includeSector1` - sum up sector 1 and 2?
  Returns:
    the current sector 2 time.

### getEngineBoost

    public final int getEngineBoost()

  Gets the engine boost.

  Returns:
    the engine boost.

### getEngineRPM

    public final int getEngineRPM()

  Gets the engine RPM.

  Returns:
    the engine RPM.

### getEngineLifetime

    public final int getEngineLifetime()

  Gets the engine lifetime in seconds.

  Returns:
    the engine lifetime in seconds.

### getBrakeDiscThicknessFL

    public final float getBrakeDiscThicknessFL()

  Gets the front left brake disc thickness in meters.

  Returns:
    the front left brake disc thickness in meters.

### getBrakeDiscThicknessFR

    public final float getBrakeDiscThicknessFR()

  Gets the front right brake disc thickness in meters.

  Returns:
    the front right brake disc thickness in meters.

### getBrakeDiscThicknessRL

    public final float getBrakeDiscThicknessRL()

  Gets the rear left brake disc thickness in meters.

  Returns:
    the rear left brake disc thickness in meters.

### getBrakeDiscThicknessRR

    public final float getBrakeDiscThicknessRR()

  Gets the rear right brake disc thickness in meters.

  Returns:
    the rear right brake disc thickness in meters.

### getFuelLoad

    public final float getFuelLoad()

  Gets the fuel load.

  Returns:
    the fuel load.

### getTopSpeed

    public final float getTopSpeed(int index)

  Gets the top speed in km/h.

  Parameters:
    `index` - vehicle index
  Returns:
    the top speed in km/h.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD